Begin explicitly confirmed immutable local report upload
curl --request POST \
--url https://api.firedrill.run/v1/projects/{projectId}/local-reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"submissionDigest": "<string>",
"manifestDigest": "<string>",
"bytes": 33554432
}
'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/local-reports"
payload = {
"submissionDigest": "<string>",
"manifestDigest": "<string>",
"bytes": 33554432
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({submissionDigest: '<string>', manifestDigest: '<string>', bytes: 33554432})
};
fetch('https://api.firedrill.run/v1/projects/{projectId}/local-reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"report": {
"schemaVersion": 1,
"localReportId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"submissionDigest": "<string>",
"manifestDigest": "<string>",
"archiveBytes": 33554432,
"state": "awaiting_upload",
"provenance": {
"origin": "user_produced",
"trust": "unattested",
"uploadedBy": "<string>"
},
"uploadExpiresAtMs": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"summary": {
"runId": "<string>",
"drillId": "<string>",
"targetId": "<string>",
"reportedBuildHash": "<string>",
"reportedPackageLockHash": "<string>",
"seed": "<string>",
"reportedStatus": "<string>",
"artifactCount": 515,
"expandedBytes": 134217728,
"redacted": true,
"scenarioId": "<string>",
"reportedVerdict": "passed"
},
"operationId": "<string>",
"failureCode": "<string>",
"verifiedAtMs": 0,
"deletedAtMs": 0
},
"upload": {
"method": "PUT",
"uploadUrl": "<string>",
"headers": {},
"expiresAtMs": 0
}
}{
"report": {
"schemaVersion": 1,
"localReportId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"submissionDigest": "<string>",
"manifestDigest": "<string>",
"archiveBytes": 33554432,
"state": "awaiting_upload",
"provenance": {
"origin": "user_produced",
"trust": "unattested",
"uploadedBy": "<string>"
},
"uploadExpiresAtMs": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"summary": {
"runId": "<string>",
"drillId": "<string>",
"targetId": "<string>",
"reportedBuildHash": "<string>",
"reportedPackageLockHash": "<string>",
"seed": "<string>",
"reportedStatus": "<string>",
"artifactCount": 515,
"expandedBytes": 134217728,
"redacted": true,
"scenarioId": "<string>",
"reportedVerdict": "passed"
},
"operationId": "<string>",
"failureCode": "<string>",
"verifiedAtMs": 0,
"deletedAtMs": 0
},
"upload": {
"method": "PUT",
"uploadUrl": "<string>",
"headers": {},
"expiresAtMs": 0
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Begin explicitly confirmed immutable local report upload
Requires evidence.upload for the exact project. The selected gzip archive is limited to 64 MiB. Upload authority expires after 15 minutes. Replay the same idempotency key and exact digests after uncertainty; no report content is verified on this request path.
Begin explicitly confirmed immutable local report upload
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Body
application/json
SHA-256 of the exact compressed archive selected and confirmed by the uploader.
Pattern:
^sha256:[0-9a-f]{64}$SHA-256 of the original manifest.json bytes, independently rechecked after extraction.
Pattern:
^sha256:[0-9a-f]{64}$Required range:
0 < x <= 67108864